VPS侦探论坛

 找回密码
 注册
查看: 174|回复: 2

军哥secure_link_module模块如何配置编译

[复制链接]
发表于 2020-4-1 23:39:55 | 显示全部楼层 |阅读模式



本帖最后由 蛋蛋的蛋 于 2020-4-1 23:49 编辑

1.6的lnmp.conf里面没有相关的配置 字段

找到了
Nginx_Modules_Options='--add-module= --with-http_secure_link_module'

使用./upgrade.sh脚本,升级nginx即可   


不知道是不是这样编译link_module




还有,请问下,1.6 里面是否有一些反代的模板。

我记得好像有,




美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
 楼主| 发表于 2020-4-1 23:51:28 | 显示全部楼层


https://lnmp.org/faq/lnmp1-2-upgrade.html
如需添加其他模块可以编辑lnmp.conf 配置文件,在 Nginx_Modules_Options 的引号里加编译参数(官方模块直接写编译参数,第三方模块的话是--add-module=/第三方模块源码目录)。
lnmp 1.2版修改include/upgrade_nginx.sh文件
在Nginx_Modules_Arguments="" 参数的双引号里添加需要的其他模块,多个模块参数空格隔开,然后再运行升级即可。

1.6  1.7还适用吧
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
发表于 2020-4-2 09:06:49 | 显示全部楼层



文章第二行就说明了“本文仅适用于LNMP1.2、1.3、1.4、1.5及以后的更高版本!”
你找到的文章里一加有说明,“官方模块直接写编译参数”,你加个上多余的--add-module=干啥,上面明确说明了第三方模块才加
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2020-6-4 15:09 , Processed in 0.044919 second(s), 26 queries .

Powered by Discuz! X3.4

Copyright © 2001-2020, Tencent Cloud.

快速回复 返回顶部 返回列表